ghc-7.0.3: The GHC API

PIC

# Documentation

cmmMakeDynamicReference :: Monad m => DynFlags -> (CLabel -> m ()) -> ReferenceKind -> CLabel -> m CmmExpr Source

data ReferenceKind Source

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind |

needImportedSymbols :: Arch -> OS -> Bool Source

pprImportedSymbol :: Arch -> OS -> CLabel -> Doc Source

pprGotDeclaration :: Arch -> OS -> Doc Source

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]Source

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]Source